# Binary release of Presenter

## Overview

This is the presenter tool used for the presentation at ROUGOL,
together with the released modules and a snapshot of the presentation.
The presentation might differ slightly from that performed at ROUGOL
as there may have been last minute changes.

## Files relating to the talk

The talk markdown document (talk.talk-riscos/md) has been updated so
that it uses the standard RISC OS fonts, and is sized to fit on a
MODE 31 or equivalent screen. This is probably the lowest common
denominator of mode that is likely to work. Feel free to modify
the configuration to match your system. You will require the
Alphabet to be set to UTF-8 for some of the characters to appear
correctly. Without that, you'll see mojibake (UTF-8 encoding presented
as your current alphabet).

To view the presentation, run the !Run file.

## How to use the presentation tool

Syntax: `*Present <file> [<slide number>|-save|-list]`

If the presentation tool cannot find the fonts it requires, or hits
some other problem with the content, it will not start. Error
reporting is minimal - build the code with debug enabled if you
want that; it was not a heavy concern at the time.

Keys once the presentation starts:

    n or right arrow    next slide
    p or left arrow     previous slide
    :                   select slide to move to
    xc                  toggle pointer
    xh                  toggle hourglass
    q                   quit
    r                   reload slide deck

## Known bugs

* Sometimes the renderer gives up rendering on RISC OS Classic.
  I must be using registers wrongly to one of the Font calls which is
  giving me different behaviour on Pyromaniac to Classic. Press 'r'
  to reload the slide deck and it'll usually work.
  This seems to happen when fonts are switched, which probably means
  that I'm failing to select the font to use properly (failing to set
  bit 8 to a font call, or setting it when I shouldn't), and that the
  Pyromaniac implementation is subtly wrong.

* Some of the slides still overrun the end of the slide and so have
  content missing. Feel free to change the font sizes in the markdown
  file.
